* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    border: none;
    outline: none;
    scroll-behavior: smooth;
    font-family: "Poppins";
}

html {
    font-size: 60%;
    overflow-x: hidden;
}

:root {
    --bg-color:#080808;
    --second-bg-color: #001005;
    --text-color: white;
    --main-color: #00ff51;

}

body {
    background: var(--bg-color);
    color: var(--text-color);
}

.header {
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    padding: 4rem 12%;
    background: rgba(0, 0, 0, 0.3);
    backdrop-filter: blur(10px);
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
}

#menu-icon {
    font-size: 3.6rem;
    color: var(--main-color);
    display: none;
}

.logo {
    font-size: 3rem;
    color: var(--text-color);
    font-weight: 800;
    cursor: pointer;
    transition: 0.3s ease;
}

.logo:hover {
    transform: scale(1.1);
}

span {
    color: var(--main-color);
}
.navbar a {
    font-size: 1.8rem;
    color: var(--text-color);
    margin-left: 4rem;
    font-weight: 500;
    border-bottom: 3px solid transparent;
    transition: 0.3s ease;
    }

    .navbar a:hover {
        border-bottom: 3px solid var(--main-color);
        color: var(--main-color);
    }

    section{
        min-height: 100vh;
        padding: 10rem 12%;
    }

    .home {
        display: flex;
        align-items: center;
        justify-content: center;
        gap: 15rem;
    }

    .home-content {
        display: flex;
        flex-direction: column;
        align-items: flex-end;
        text-align: right;
    }
    .home-content h1 {
        font-size: 8rem;
        font-weight: 700;
        margin-top: 1.5rem;
        line-height: 1;
    }
    .home-content h3 {
        font-size: 4rem;
        margin: 1rem 0;
    }

    .home-content p {
        font-size: 1.5rem;
        font-weight: 500;
        line-height: 1.8;
    }
    .home-img img {
        width: 32vw;
        border-radius: 50%;
        box-shadow: 50px 0 25px var(--main-color);
        transition: 0.4s ease-in-out;
    }

    .home-img img:hover {
        box-shadow: 0 0 25px var(--main-color);
                    0 0 50px var(--main-color);
                    0 0 100px var(--main-color);
    }
    .social-icons a {
        display: inline-flex;
        justify-content: center;
        align-items: center;
        font-size: 3rem;
        padding: 1rem;
        background: transparent;
        border: 2px solid var(--main-color);
        border-radius: 50%;
        color: var(--main-color);
        margin: 3rem 0.5rem;
        transition: 0.3s ease;
    }
    .social-icons a:hover {
        color: var(--text-color);
        background-color: var(--main-color);
        transform: scale(1.2)translateY(-5px);
        box-shadow: 0 0 25px var(--main-color);
    }

    .btn-group {
        display: flex;
        gap: 1.5rem;
    }
    .btn {
        display: inline-block;
        padding: 1rem 3rem;
        background: var(--main-color);
        box-shadow:  0 0 25px var(--main-color);
        border-radius: 3rem;
        font-size: 1.8rem;
        color: black;
        border: 2px solid transparent;
        font-weight: 600;
        transition: 0.3s ease-in-out;
    }
    .btn:hover {
        transform: scale(1.05);
        box-shadow: 0 0 25px var(--main-color);
                    0 0 50px var(--main-color);
                   
    }
    .btn-group a:nth-of-type(2){
        background-color: black;
        color: var(--main-color);
        border: 2px solid var(--main-color);
        box-shadow: 0 0 25px transparent;
    }

    .btn-group a:nth-of-type(2):hover {
        box-shadow: 0 0 25px var(--main-color);
        background-color: var(--main-color);
        color: black;
    }
    .about {
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 10rem;
        background-color: var(--second-bg-color);
    }
    .about-img img {
        width: 32vw;
        border-radius: 50%;
        box-shadow: 0 0 25px var(--main-color);
        transition: 0.4s ease-in-out;
    }

    .about-img img:hover {
        box-shadow: 0 0 25px var(--main-color);
                    0 0 50px var(--main-color);
                    0 0 100px var(--main-color);
    }

    .about-content h2 {
        font-size: 7rem;
        text-align: left;
    }
    .about-content p {
        font-size: 1.8rem;
    }
    ::-webkit-scrollbar{
        width: 20px;
    }
    ::-webkit-scrollbar-thumb{
        background-color: var(--main-color);
    }
    .heading {
        text-align: center;
        font-size: 7rem;
        margin: 5rem 0;
    }
    .services {
        background-color: var(--bg-color);
        color: black;
    }
    .services h2 {
        color: var(--text-color);
    }
    .services-container {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
        align-items: center;
        gap: 2.5rem;
    }
    .service-box {
        display: flex;
        justify-content: center;
        align-items: center;
        background-color: var(--main-color);
        height: 500px;
        border-radius: 3rem;
        cursor: pointer;
        border: 5px solid transparent;
        transition: 0.4s ease-in-out;
    }
    .service-box:hover {
        background-color: var(--second-bg-color);
        color: var(--main-color);
        border: 5px solid var(--main-color);
        transform: scale(1.03);
    }
    .service-info {
        display: flex;
        flex-direction: column;
        text-align: center;
        justify-content: center;
        align-items: center;
        padding: 5rem;
    }
    .service-info i {
        font-size: 8rem;
    }
    .service-info h4 {
        font-weight: 4rem;
        margin: 2rem 0;
        font-weight: 800;
    }
    .service-info p {
        font-size: 1.4rem;
        font-weight: 600;
        line-height: 1.7;
    }
    .contact {
        background-color: var(--second-bg-color);
    }
    .contact h2 {
        margin-bottom: 3rem;
        color: var(--text-color);
    }
    .contact form {
        display: flex;
        align-items: center;
        justify-content: center;
        gap: 3rem;
        margin: 5rem 0;
        text-align: center;
    }
    .contact form .input-box input,
    .contact form textarea{
        width: 100%;
        padding: 2.5rem;
        font-size: 1.8rem;
        color: var(--text-color);
        background-color: var(--bg-color);
        border-radius: 2rem;
        border: 2px solid var(--main-color);
        margin: 1.5rem 0;
        resize: none;
    }

    .footer {
        background-color: var(--bg-color);
        padding: 50px 0 ;
    }

    .footer .social-icons{
        text-align: center;
        font-size: 1.8rem;
    }

    .footer ul li {
        display: inline-block;
        margin-left: 20px;
    }
    .footer ul li a {
        color: white;
        border-bottom: 3px solid transparent;
        transition: 0.3s ease-in-out;
    }
    .footer ul li a:hover{
        border-bottom: 3px solid var(--main-color);
    }
    .footer .copyright{
        text-align: center;
        margin-top: 40px;
        font-size: 16px;
    }

   @media(max-width:1024px){
       #menu-icon {
        display: block;
       }
       .navbar{
        position: absolute;
        top: 100%;
        right: 0;
        width: 50%;
        padding: 1rem 3rem;
        background-color: rgba(0, 0, 0, 0.8);
        border-left: 2px solid var(--main-color);
        border-bottom: 2px solid var(--main-color);
        border-bottom-left-radius: 2rem;
        display: none;
       }
       .navbar a {
        display: block;
        font-size: 2rem;
        margin: 3rem 0;
        color: var(--text-color);
       }
       .navbar.active {
        display: block;
       }
       .home {
        flex-direction: column-reverse;
        margin: 5rem 0;
        gap: 5rem;
       }
       .home-content{
        align-items: center;
        text-align: center;
       }
       .home-img img {
        width: 52vw;
       }
       .about{
        flex-direction: column-reverse;
        text-align: center;
       }
       .about h2 {
        text-align: center;
        margin: 2rem 0;
       }
       .about img {
        width: 52vw;
       }
   }